Internal.LongList
Date: 2017-07-08

com.google.protobuf

## Interface Internal.LongList

- All Superinterfaces:
    java.util.Collection<java.lang.Long>, Internal.ProtobufList<java.lang.Long>, java.lang.Iterable<java.lang.Long>, java.util.List<java.lang.Long>, java.util.RandomAccess
  Enclosing class:
    Internal

      public static interface Internal.LongList
      extends Internal.ProtobufList<java.lang.Long>

  A `List` implementation that avoids boxing the elements into Longs if possible. Does not support null elements.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLong(long element)` Like `List.add(Object)` but more efficient in that it doesn't box the element.
    `long` | `getLong(int index)` Like `List.get(int)` but more efficient in that it doesn't box the returned value.
    `Internal.LongList` | `mutableCopyWithCapacity(int capacity)` Returns a mutable clone of this list with the specified capacity.
    `long` | `setLong(int index, long element)` Like `List.set(int, Object)` but more efficient in that it doesn't box the element.

    - ### Methods inherited from interface com.google.protobuf.Internal.ProtobufList

      `isModifiable, makeImmutable`

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

- - ### Method Detail

    - #### getLong

          long getLong(int index)

      Like `List.get(int)` but more efficient in that it doesn't box the returned value.

    - #### addLong

          void addLong(long element)

      Like `List.add(Object)` but more efficient in that it doesn't box the element.

    - #### setLong

          long setLong(int index,
                     long element)

      Like `List.set(int, Object)` but more efficient in that it doesn't box the element.

    - #### mutableCopyWithCapacity

          Internal.LongList mutableCopyWithCapacity(int capacity)

      Returns a mutable clone of this list with the specified capacity.
      Specified by:
        `mutableCopyWithCapacity` in interface `Internal.ProtobufList<java.lang.Long>`